| Home | Libraries | People | FAQ | More

## Macro BOOST_VARIANT_NO_FULL_RECURSIVE_VARIANT_SUPPORT

BOOST_VARIANT_NO_FULL_RECURSIVE_VARIANT_SUPPORT — Indicates `make_recursive_variant` operates in an implementation-defined manner.

## Synopsis

    BOOST_VARIANT_NO_FULL_RECURSIVE_VARIANT_SUPPORT

## Description

Defined only if `make_recursive_variant` does not operate as documented on the target compiler, but rather in an implementation-defined manner.

Implementation Note: If `BOOST_VARIANT_NO_FULL_RECURSIVE_VARIANT_SUPPORT` is defined for the target compiler, the current implementation uses the MPL lambda mechanism to approximate the desired behavior. (In most cases, however, such compilers do not have full lambda support either.)